function [am,bias2,variance] = amiseregress(m,sigma2,n,H)

% vypocita amise pro regresi ve dvou promennych, predpoklada se nosic [0,1]
% x [0,1]

x = sym('x');
y = sym('y');
%H = H^(1/2); %???
detH = det(H);%^(1/2);
H = sym(H);
V = 1/(2*sqrt(pi));
beta = 1;

%Dm = gradient(m);
D2m = hessian(m);

pok = int(int((trace(H*D2m))^2,x,0,1),y,0,1);
bias2 = double(pok)*beta^2/4;
variance = V*sigma2/(n*detH);
am = bias2 + variance;