setwd("obrazky")
adresar <- getwd()
n <- 164
#n <- 3
for (i in 1:n)
{
xcv<-read.csv(paste("xcv",i,".csv",sep=""),sep=",",dec=".",header=F)
x <- xcv[,1]*16
y <- xcv[,2]*5
Zcv<-read.csv(paste("Zcv",i,".csv",sep=""),sep=",",dec=".",header=F)
Z <- as.matrix(Zcv)

pdf(file=paste(adresar,"/plotCV",i,".pdf",sep=""),encoding="CP1250.enc",width=12,height=4,pagecentre=T)
filled.contour(x, y, Z, color = topo.colors,key.axes=axis(4,seq(-100,100,by=20)),
               zlim=c(-100,100),axes=F,key.title=title(main=expression(paste(mu, "V"))),
               plot.title = title(main="Smoothed by HCV"),frame.plot=F)
dev.off()

xcv<-read.csv(paste("xit1",i,".csv",sep=""),sep=",",dec=".",header=F)
x <- xcv[,1]*16
y <- xcv[,2]*5
Zcv<-read.csv(paste("Zit1",i,".csv",sep=""),sep=",",dec=".",header=F)
Z <- as.matrix(Zcv)
pdf(file=paste(adresar,"/plotIT1",i,".pdf",sep=""),encoding="CP1250.enc",width=12,height=4,pagecentre=T)
filled.contour(x, y, Z, color = topo.colors,key.axes=axis(4,seq(-100,100,by=20)),
               zlim=c(-100,100),axes=F,key.title=title(main=expression(paste(mu, "V"))),
               plot.title = title(main="Smoothed by IT1"),frame.plot=F)
dev.off()

xcv<-read.csv(paste("xit2",i,".csv",sep=""),sep=",",dec=".",header=F)
x <- xcv[,1]*16
y <- xcv[,2]*5
Zcv<-read.csv(paste("Zit2",i,".csv",sep=""),sep=",",dec=".",header=F)
Z <- as.matrix(Zcv)
pdf(file=paste(adresar,"/plotIT2",i,".pdf",sep=""),encoding="CP1250.enc",width=12,height=4,pagecentre=T)
filled.contour(x, y, Z, color = topo.colors,key.axes=axis(4,seq(-100,100,by=20)),
               zlim=c(-100,100),axes=F,key.title=title(main=expression(paste(mu, "V"))),
               plot.title = title(main="Smoothed by IT2"),frame.plot=F)
dev.off()
}
setwd("..")