function [am] = cvregressder(Xi,y,H)

% vypocita hodnotu CV pro 1. derivace regrese ve dvou promennych, predpoklada se nosic [0,1]
% x [0,1]

[dim,n]=size(Xi);
if dim>n
    Xi=Xi';
    [dim,n]=size(Xi);
end
if dim~=2
    error('Only for dimension 2!');
end
detH = det(H)^(1/2);
%hinv = H^(-1/2);
% V = 1/(2*sqrt(pi));
% beta = 1;
n = length(y);
%sigma2 = sum((y(2:end)-y(1:end-1)).^2)/(2*n-2);

%variance = V*sigma2/(n*detH);

% pok=0;
% for i = 1:n-1
%     x_x = Xi(:,i)*ones(1,n-i)-Xi(:,i+1:n);
%     pok=pok+sum(y(i)*(2*lambda(x_x,H).*y(i+1:n)))+lambda(zeros(2,1),H)*y(i)^2;
% end
% pok=pok+lambda(zeros(2,1),H)*y(n)^2;
%mhat = binwfull(Xi,y,0,2,1,H,'gaus',0,Xi);

%razeni

[b,ind] = sort(Xi(2,:));
Xi1 = [Xi(1,ind);b];
y1 = y(ind);
mhat1 = bigaussder(Xi,y,H,0,Xi1);

[a,ind] = sort(Xi(1,:));
Xi2 = [a;Xi(2,ind)];
y2 = y(ind);
mhat2 = bigaussder(Xi,y,H,0,Xi2);

diffpom1 = diff(b);
n1=find(diffpom1,1,'first');  % pocet prvku na x
diffpom2 = diff(a);
n2=find(diffpom2,1,'first');  % pocet prvku na y

Ydiff1=[];
mhatder1=[];
parfor k = 1:n2
pom = (y1(n1*(k-1)+2:2:n1*k)-y1(n1*(k-1)+1:2:n1*k-1))./(Xi1(1,n1*(k-1)+2:2:n1*k)-Xi1(1,n1*(k-1)+1:2:n1*k-1));
pomm = mhat1(1,n1*(k-1)+2:2:n1*k);
Ydiff1 = [Ydiff1,pom];
mhatder1 = [mhatder1,pomm];
end

Ydiff2=[];
mhatder2=[];
parfor k = 1:n1
pom = (y2(n2*(k-1)+2:2:n2*k)-y2(n2*(k-1)+1:2:n2*k-1))./(Xi2(2,n2*(k-1)+2:2:n2*k)-Xi2(2,n2*(k-1)+1:2:n2*k-1));
pomm = mhat2(2,n2*(k-1)+2:2:n2*k);
Ydiff2 = [Ydiff2,pom];
mhatder2 = [mhatder2,pomm];
end

%Ydiff1, Ydiff2

% return
% pok = zeros(1,n);
% for i = 1:n
%     x_x = Xi(:,i)*ones(1,n)-Xi;
%     arg = hinv*x_x;
%     pok(i)=sum(gausskern(arg));
% end

pen = 1./(1-gausskern(zeros(2,1))./(n*detH));

am = (mean((Ydiff1-mhatder1).^2) + mean((Ydiff2-mhatder2).^2))*pen^2/n;


