function[z,Z,V,beta]=gausskern(Xi,C)

%z=gausskern(X);
%vykresli a spocita hodnoty Gaussova jadra v bodech X

V=0.0796;
beta=1;
[dim,n]=size(Xi);
if (dim>n)&&(n>1)
    Xi=Xi';
    [dim,n]=size(Xi);
end

if nargin<2
    C=0;
end

%z=(2*pi)^(-dim/2)*exp(-0.5*diag(X'*X)');

z=zeros(1,n);
for i=1:n
    z(i)=exp(-0.5*(Xi(:,i)'*Xi(:,i)));
end
z = (2*pi)^(-dim/2)*z;
Z=[];

if (dim==2)&&((nargout>1)||(nargin>1))
%     difer = Xi(:,2:end) - Xi(:,1:end-1);
%     nula = any(difer(1,:)==0);
%     if nula
%         pocetX2 = length(find(difer(1,:)~=0))+1;
%     else
%         pocetX2 = 1;
%     end
    uniX1 = unique(Xi(1,:));
    uniX2 = unique(Xi(2,:));
%     pocetX1 = length(uniX1);
%     pocetX2 = length(uniX2);
%    pocetX1 = n/pocetX2
    [X, Y] = meshgrid(uniX1, uniX2);
%     X = reshape(Xi(1,:),pocetX1,pocetX2);
%     Y = reshape(Xi(2,:),pocetX1,pocetX2);
%     Z = reshape(z,pocetX1,pocetX2);
    Z = exp(-0.5*(X.^2 + Y.^2));
    if C~=0
    figure(C);
    mesh(X,Y,Z);figure(C+1);
    contour(X,Y,Z);
    end
end;