function [h1_opt,h2_opt]=hopt2(X,sigma,ny,k,mi,c,y)
%hledani optimalnich vyhlazovacich parametru pro dvourozmerne regresni
%funkce
%x...dvourozmerny vektor nezavislych promennych
%d...rozptyl
%ny,k a m ...rad jadra
%c...nepovinny parametr. Zadejte cele cislo a vykresli se dvourozmerne 
%NW odhady pro prave nalezene optimalni parametry do figure(cislo ktere 
%jste zadali), pokud parametr nezadate, nevykresli se.
%y...vektor zavislych promennych

n=length(X);
K=K_def('opt',ny,k,mi);

D=sqrt(sum(abs(repmat(permute(X, [1 3 2]), [1 n 1])-repmat(permute(X, [3 1 2]), [n 1 1]) ).^2, 3));
[h_min,h_min_position]=min(min(D(D~=0)));

h1=linspace(0.1,0.4);
h2=linspace(0.1,0.4);

[H1,H2]=meshgrid(h1,h2);
p=zeros(size(H1));

suma2=0;
suma1=p;


for i=1:n
    suma2=suma2 +((sigma(i)^2)/hustotanorm01m(X(i,:)));
end
suma2=((K.var)^2./((n^2).*H1.*H2)).*suma2;

b=X(:,1);
a=X(:,2);

m1=char(diff(sym('a^2+b^2'),1));
m1e=eval(m1);

m1_2=char(diff(sym('a^2 + b^2'),2));
m1e2=2.*ones(length(a),1);

e=b.^2;
f=a.^2;

f1e=-.50000000000000000000000000000000e-1./pi.*f.*exp(-.50000000000000000000000000000000e-2.*e.^2-.50000000000000000000000000000000e-2.*f.^2);

c=X(:,1);
d=X(:,2);

m2=char(diff(sym('c^2+d^2'),1));
m2e=eval(m2);

m2_2=char(diff(sym('c^2+d^2'),2));
m2e2=2.*ones(length(a),1);

f2e=-.50000000000000000000000000000000e-1./pi.*d.*exp(-.50000000000000000000000000000000e-2.*c.^2-.50000000000000000000000000000000e-2.*d.^2);
for i=1:n
    h_1 = ((H1.^2)).* (((m1e(i).*f1e(i))/hustotanorm01m(X(i,:))) + (1/2).*m1e2(i));
    h_2 = ((H2.^2)).* (((m2e(i).*f2e(i))/hustotanorm01m(X(i,:))) + (1/2).*m2e2(i));
    suma1 = suma1 + (h_1 + h_2).^2;
end
suma1=((K.beta^2)/n).*suma1;

h1h2_opt=suma2 + suma1;

[f,v]=min(min(h1h2_opt));
[s,g]=min(h1h2_opt(:,v));
h1h2_opt(g,v);
h1_opt=(h1(g));
h2_opt=(h2(v));

%pokud se zada parametr c, vykresli se odhady s optimalnimi parametry do
%figure cislo c
if (nargin>5)
    binw(X,y,h1_opt,h2_opt,ny,k,mi);
end


