nasafile <- 'http://eosweb.larc.nasa.gov/sse/global/text/global_radiation'
nasa <- read.table(file=nasafile, skip=13, header=TRUE)
txt<-readLines(con<-file(nasafile),n=13)

attach(nasa)
longitude <- c(12,18)  # zadat rozsah longitud
latitude <- c(48,51)  # zadat rozsah latitud
longitude <- c(-11,2)  # zadat rozsah longitud
latitude <- c(50,60)  # zadat rozsah latitud
jmeno <- "pomoc.mat"
jmeno <- "nasaCR_cv.mat"

x1 <- as.numeric(nasa[is.element(Lon,longitude[1]:longitude[2])&is.element(Lat,latitude[1]:latitude[2]),2])
x2 <- as.numeric(nasa[is.element(Lon,longitude[1]:longitude[2])&is.element(Lat,latitude[1]:latitude[2]),1])
Xipuv <- matrix(c(x1,x2),nrow = 2,byrow=T)
y <- nasa[is.element(Lon,longitude[1]:longitude[2])&is.element(Lat,latitude[1]:latitude[2]),15]

rx <- range(Xipuv[1,])
ry <- range(Xipuv[2,])
Xi <- Xipuv
Xi[1,] <- (Xipuv[1,]-rx[1])/(rx[2]-rx[1])
Xi[2,] <- (Xipuv[2,]-ry[1])/(ry[2]-ry[1])

library(R.matlab)

writeMat(jmeno, Xi = Xi, Xipuv = Xipuv, y = t(y))

setwd("C:/Program Files/MATLAB/R2011b/work/regrese/multivar/programy")

# tady to je :-)
data<-readMat(jmeno)

data <- readMat("nasaCR.mat")

Xi <- data$Xi
Xipuv <- data$Xipuv
y <- data$y
Cx <- data$Cx
Cy <- data$Cy
Z <- data$Z
library(rworldmap)
newmap <- getMap(resolution = "low")
ww<- longitude[2]-longitude[1] #sirka obrazku
hh<- latitude[2]-latitude[1]  # vyska obrazku
ww<- 18+52/60-12-6/60 #sirka obrazku
hh<- 51+3/60-48-33/60 # vyska obrazku

AR <- 1.5
#x11(width=3*ww-11,height=3*hh+2)
x11(width=ww,height=hh*AR)
pdf(file="en.pdf",encoding="CP1250.enc",width=3*ww-11,height=3*hh+2,pagecentre=T)
plot(newmap, xlim = range(longitude), ylim = range(latitude), asp = AR, lwd = 2)
contour(x=seq(rx[1],rx[2],length.out = nrow(Z)),y=seq(ry[1],ry[2],length.out = ncol(Z)),t(Z), add=T, col = rainbow(20), lwd = 3, labcex=2)
Cx[1,] <- Cx[1,]*(rx[2]-rx[1]) + rx[1]
Cy[1,] <- Cy[1,]*(rx[2]-rx[1]) + rx[1]
Cx[2,] <- Cx[2,]*(ry[2]-ry[1]) + ry[1]
Cy[2,] <- Cy[2,]*(ry[2]-ry[1]) + ry[1]
points(Cx[1,],Cx[2,], pch = 20, col = 2, cex=1)
points(Cy[1,],Cy[2,], pch = 20, col = "blue", cex=1)
dev.off()
detach(nasa)
