function[zx,zy] = lambdader(xx,h)
%Pocita hodnoty 1. derivace funkce lambda pro Gaussovo jadro
% xx ... matice 2 x n
% h .... vyhlazovaci matice

[dim,n]=size(xx);
if (dim>n)&&(n>2)
    xx=xx';
    [dim]=size(xx,1);
end

if dim~=2
    error('neumime')
end

hinv=h^(-1/2);
h1 = h(1,1)^(1/2);
h2 = h(2,2)^(1/2);
arg = hinv*xx;
phi1 = [1;1]*gausskern(arg/2);
phi2 = [1;1]*gausskern(arg/sqrt(3));
phi3 = [1;1]*gausskern(arg/sqrt(2));
hh = [h1;h2]*ones(1,n);
y = 1/4*1./(2*hh).*(-arg/2).*phi1-2/3*1./(sqrt(3)*hh).*(-arg/sqrt(3)).*phi2+1/2*1./(sqrt(2)*hh).*(-arg/sqrt(2)).*phi3;
y = y/(det(h)^(1/2));
zx = y(1,:);
zy = y(2,:);





