load mdeaths

barva = [0,0.25,0.5];
scatter(1:length(y),y,'filled','MarkerEdgeColor',barva,'MarkerFaceColor',barva);
hold on
plot(1:length(y),yy,'LineWidth',2,'color','red')
for k=1:6
plot(k*[12,12],[800,2800],'LineWidth',1,'color','black','linestyle',':')
rok = 1973+k;
text(k*12-8,2600,num2str(rok))
end
return

%h =newtonregress(Xi,y,1)

%h = sitcvregress(Xi,y)
%h = sitricepenregress(Xi,y)

h =[0.0139 0;0    0.0504]/7;

[~,xx,c]=bigaussnw(Xi,y,h);

figure

X1 = Xi(1,:);
X2 = Xi(2,:);
barva = [0,0.25,0.5];
scatter3(X1,X2,y,'filled','MarkerEdgeColor',barva,'MarkerFaceColor',barva);
grid off
%pause
hold on
x1fit = linspace(min(xx(1,:)),max(xx(1,:)),50);
x2fit = linspace(min(xx(2,:)),max(xx(2,:)),50);
[X1FIT,X2FIT] = meshgrid(x1fit,x2fit);

mesh(X1FIT,X2FIT,c)%,'FaceColor',[1.0, 0.56, 0.0],'EdgeColor','none')
alpha(0.4)

minx = min(Xipuv(1,:));
maxx = max(Xipuv(1,:));
XtickLabel = (minx:maxx);
miny = min(Xipuv(2,:));
maxy = max(Xipuv(2,:));
YtickLabel = (miny:maxy);
set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
xlabel('mesic')
ylabel('rok')

% odhad derivace
% h =newtonregressder(Xi,y,1)

% h = sitcvregressder(Xi,y)
% h = sitricepenregressder(Xi,y)

h = [0.0139 0;0 0.1598/9];

[~,xxder,cder]=bigaussder(Xi,y,h,0,xx);
m = length(xx);
Zx = cder(1:50,:);
Zy = cder(51:end,:);

figure

contour(X1FIT,X2FIT,c,'showtext','on');
hold on;

cc = caxis(gca);
x1fit = xxder(1,:);
x2fit = xxder(2,:);
[X1FIT,X2FIT] = meshgrid(x1fit,x2fit);
Cx = contour(X1FIT,X2FIT,Zx,-.001:.001:.001,'Linewidth',2.5,'Color','red','linestyle',':');
Cy = contour(X1FIT,X2FIT,Zy,-.001:.001:.001,'Linewidth',2.5,'Color','blue','linestyle',':');
caxis(cc);%colorbar

set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
xlabel('mesic')
ylabel('rok')

%return

% parametricky
X1 = Xi(1,:);
X2 = Xi(2,:);

x1fit = linspace(min(X1),max(X1),50);
x2fit = linspace(min(X2),max(X2),50);

[X1FIT,X2FIT] = meshgrid(x1fit,x2fit);
X = [ones(length(X1),1),X1',X2',X1'.^2,X2'.^2,X1'.*X2'];
b = regress(y',X);
YFIT = b(1) + b(2)*X1FIT + b(3)*X2FIT + b(4)*X1FIT.^2 + b(5)*X2FIT.^2 + b(6)*X1FIT.*X2FIT;


figure
barva = [0,0.25,0.5];
scatter3(X1,X2,y,'filled','MarkerEdgeColor',barva,'MarkerFaceColor',barva);
grid off
%pause
hold on
mesh(X1FIT,X2FIT,YFIT)%,'FaceColor',[1.0, 0.56, 0.0],'EdgeColor','none')
alpha(0.4)

% minx = min(Xipuv(1,:));
% maxx = max(Xipuv(1,:));
% XtickLabel = (minx:maxx);
% miny = min(Xipuv(2,:));
% maxy = max(Xipuv(2,:));
% YtickLabel = (miny:maxy);
set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
xlabel('mesic')
ylabel('rok')

Z=c;
save mdeaths YFIT Zx Zy Z -append -v6
