function [am,bias2,variance] = naseregress(Xi,y,H)

% vypocita hodnotu rovnice pro regresi ve dvou promennych, predpoklada se nosic [0,1]
% x [0,1]

detH = det(H)^(1/2);
V = 1/(2*sqrt(pi));
beta = 1;
n = length(y);
sigma2 = sum((y(2:end)-y(1:end-1)).^2)/(2*n-2);

variance = V*sigma2/(n*detH);

pok=0;
% posun y
posun = mean(y);
y = y - posun;
%%%%%%%%%%%%

for i = 1:n-1
    x_x = Xi(:,i)*ones(1,n-i)-Xi(:,i+1:n); size(x_x);
    pok=pok+sum(y(i)*(2*lambda(x_x,H).*y(i+1:n)))+lambda(zeros(2,1),H)*y(i)^2;
end
pok=pok+lambda(zeros(2,1),H)*y(n)^2;

bias2 = (pok)*beta^2/(n^2);
am = bias2 + variance;

