function [am,bias2,variance] = naseregressder(Xi,y,H)

% vypocita hodnotu rovnice pro 1. derivaci regrese ve dvou promennych, predpoklada se nosic [0,1]
% x [0,1]

detH = det(H)^(1/2);
V = 1/(4*pi);
beta = 1;
n = length(y);
sigma2 = sum((y(2:end)-y(1:end-1)).^2)/(2*n-2);

variance = V*sigma2/(n*detH^3);           %asi ^3?


% posun y
posun = mean(y);
y = y - posun;
%%%%%%%%%%%%
pok=0;
for i = 1:n-1
    x_x = Xi(:,i)*ones(1,n-i)-Xi(:,i+1:n);
    [lamx,lamy] = lambdader(x_x,H);
    [lamx0,lamy0] = lambdader(zeros(2,1),H);
    pok=pok+sum(y(i)*2*(lamx+lamy).*y(i+1:n))+(lamx0+lamy0)*y(i)^2;
end
pok=pok+(lamx0+lamy0)*y(n)^2;

% for i = 1:n
%     x_x = Xi(:,i)*ones(1,n)-Xi;
%     pok=pok+sum(y(i)*lambda(x_x,H).*y);
% end

bias2 = (pok)*beta^2/(n^2);
am = bias2 + variance;

