function[yy,F0,countdiv]=newtonregressder(Xi,y,k,H,chyba)

% odhad matice H pro 1.derivaci pomoci Newtonovy metody pro systemy, kde derivace
% nahradime diferencemi

[dim,n]=size(Xi);
countdiv=0;

if dim~=2
    error('Spatne zadana matice pozorovani!');
end

if nargin<5
    chyba=0.01;
end

if nargin<4
     h1 = sqrt(1/n);
     h2 = sqrt(1/n);
     %h1 = 0.2;
     %h2 = 0.2;
    H = [h1^2 0;0 h2^2];
end

h1 = sqrt(H(1,1));
h2 = sqrt(H(2,2));

[~,bias,variance]=naseregressder(Xi,y,H);
%k = 1;  %%%% ? nebo 2?
F=[variance - k*bias;odhadC(Xi,y,H)];

h_start=[h1;h2];
h_startpuv=h_start;
%   plot(h1,h2,'r*');
%   hold on;
step=eps^(1/2);
%step=.1;
J=zeros(2);
[~,bias1,variance1]=naseregressder(Xi,y,[(h1+step)^2 0;0 h2^2]);
[~,bias2,variance2]=naseregressder(Xi,y,[h1^2 0;0 (h2+step)^2]);
J(1,1)=(variance1 - k*bias1 - F(1))/step;
J(1,2)=(variance2 - k*bias2 - F(1))/step;
J(2,1)=(odhadC(Xi,y,[(h1+step)^2 0;0 h2^2])-F(2))/step;
J(2,2)=(odhadC(Xi,y,[h1^2 0;0 (h2+step)^2])-F(2))/step;

delta=-J\F;
%delta=delta/(1+(norm(F))^(1/8));
h_new=h_start+delta;
it=1;
while (norm(F)>chyba)&&(it<100)
    h1=h_new(1);
    h2=h_new(2);
    %    plot(h1,h2,'*');pause;
    h_start=h_new;
    [~,bias,variance]=naseregressder(Xi,y,[h1^2 0;0 h2^2]);
%    k = 1;  %%%% ? nebo 2?
    F=[variance - k*bias;odhadC(Xi,y,[h1^2 0;0 h2^2])];
    [~,bias1,variance1]=naseregressder(Xi,y,[(h1+step)^2 0;0 h2^2]);
    [~,bias2,variance2]=naseregressder(Xi,y,[h1^2 0;0 (h2+step)^2]);
    J(1,1)=(variance1 - k*bias1 - F(1))/step;
    J(1,2)=(variance2 - k*bias2 - F(1))/step;
    J(2,1)=(odhadC(Xi,y,[(h1+step)^2 0;0 h2^2])-F(2))/step;
    J(2,2)=(odhadC(Xi,y,[h1^2 0;0 (h2+step)^2])-F(2))/step;
    %J
    if (det(J)==0)||(it==99)
        countdiv=1;
        disp('Divergence!');
        F0=F;
        yy = diag(h_new.^2);
%         disp(['Starting approximations: ', num2str(h_puv')]);
%         yy=izelpokus2(Xi,ny,k,mi,[h_puv(1)/10,h_puv(1)],[h_puv(2)/10,h_puv(2)],100);
%         yy=diag(yy);
        return;
        %         rand('state',sum(100*clock));
        %         J=rand(2);
        %         h_start=rand(2,1);
    end
    delta=-J\F;
    %    delta=delta/(1+(norm(F))^(1/8));
    h_new=h_start+delta;
    if (max(h_new.^2)>1)
        disp('Asi divergence!');
        yy = diag(h_startpuv.^2);
        disp(['  Number of iterations: ', num2str(it)]);
        F0=F;
        return;
    end
      %  plot(abs(h_new(1)),abs(h_new(2)),'*');pause
    it=it+1;
end

F0=F;
disp(['  Number of iterations: ', num2str(it)]);
yy=diag((h_new.^2));