function [c] = odhadCfull(Xi,y,H)

% vypocita odhad pomeru h1/h2 pro regresi ve dvou promennych, predpoklada se nosic [0,1]
% x [0,1]

n = length(y);
hinv = (H*n^(2/15))^(-1/2);
H4 = [1 0 -6 0 3];  % Hermiteuv polynom
H2 = [1 0 -1];  % Hermiteuv polynom
sq = sqrt(2);
pok1=0;
pok2=0;
pok12=0;
% posun y
posun = mean(y);
y = y - posun;
%%%%%%%%%%%%
gau=gausskern(zeros(2,1));

for i = 1:n-1
    x_x = Xi(:,i)*ones(1,n-i)-Xi(:,i+1:n);
    arg = hinv*x_x;
    pom = gausskern(arg/sq);%polyval(H4,arg(1,:)),polyval(H4,arg(2,:))
    pok1=pok1+sum(y(i)*(2*pom.*polyval(H4,arg(1,:)).*y(i+1:n)))+3*gau*y(i)^2; % 3 = H4(0)
    pok2=pok2+sum(y(i)*(2*pom.*polyval(H4,arg(2,:)).*y(i+1:n)))+3*gau*y(i)^2;
    pok12=pok12+sum(y(i)*(2*pom.*polyval(H2,arg(1,:)).*polyval(H2,arg(2,:)).*y(i+1:n)))+gau*y(i)^2;
end
pok1=(pok1+3*gau*y(n)^2)/n^2;
pok2=(pok2+3*gau*y(n)^2)/n^2;
pok12=(pok12+gau*y(n)^2)/n^2;

% for i = 1:n
%     x_x = Xi(:,i)*ones(1,n)-Xi
%     arg = hinv*x_x;sum(arg,2);%,pause
%     pom = gausskern(arg/sq),polyval(H4,arg(1,:)),polyval(H4,arg(2,:))
%     pok1=pok1+sum(y(i)*(pom.*polyval(H4,arg(1,:)).*y)),pause
%     pok2=pok2+sum(y(i)*(pom.*polyval(H4,arg(2,:)).*y)),pause
% end

% c = pok2*H(1,1)^2-pok1*H(2,2)^2;       % toto drive, pro diagonalni
c = zeros(2,1);
 c(1) = pok1*H(1,1)-4*pok12*H(1,2); % ^2?
 c(2) = pok2*H(2,2)-4*pok12*H(1,2);
%c = sqrt(pok1/pok2); % toto je odhad podilu na druhou
% for i = 1:n
%     x_x = Xi(:,i)*ones(1,n)-Xi;
%     pok=pok+sum(y(i)*lambda(x_x,H).*y);
% end

