load dataf0_vysl
yy=y;
n=100;
kolikaty = 13;
X=linspace(0,1,n);
Y=X;
[x,y]=meshgrid(X,Y);

%h=[0.02:0.01:0.2].^2;
h=[0.0014:0.0005:0.01,0.011:0.003:0.05];
n=length(h);
barva = [0,0.25,0.5];


for i = 1:n
% Vykresleni bodu
scatter3(Xi(1,:),Xi(2,:),yy(kolikaty,:),'filled','MarkerEdgeColor',barva,'MarkerFaceColor',barva)
axis(axis)
grid off
% %pause
hold on


[f,xx,Z] = bigauss(Xi,yy(kolikaty,:),[h(i) 0;0 h(i)],0);
% [fder,xxder,Zder] = bigaussder(Xi,yy(kolikaty,:),hder,0);
% Zder = Zder(1:length(Zder)/2,:);

% kresleni odhadu
x1=xx(1,:);
x2=xx(2,:);
[X,Y]=meshgrid(x1,x2);
mesh(X,Y,Z,'FaceColor',[1.0, 0.56, 0.0],'EdgeColor','none');
alpha(0.5)
view(47,22)

uicontrol('Style', 'slider',...
        'Min',h(1),'Max',h(n),'Value',h(i),...
        'Position', [100 30 120 20],...
        'Enable','inactive',...
        'BackgroundColor',[1.0, 0.56, 0.0]);

uicontrol('Style', 'text',...
        'Position', [100 70 120 20],...
        'BackgroundColor',[1 1 1],...
        'String',[num2str(h(i)),'     0']);

uicontrol('Style', 'text',...
        'Position', [100 50 120 20],...
        'BackgroundColor',[1 1 1],...
        'String',['       0     ', num2str(h(i))]);

uicontrol('Style', 'text',...
        'Position', [200 50 20 42],...
        'BackgroundColor',[1 1 1],...
        'Fontsize',20,...
        'String',')');

uicontrol('Style', 'text',...
        'Position', [110 50 20 42],...
        'BackgroundColor',[1 1 1],...
        'Fontsize',20,...
        'String','(');

uicontrol('Style', 'text',...
        'Position', [80 50 30 35],...
        'BackgroundColor',[1 1 1],...
        'Fontsize',13,...
        'String',['H ','= ']);
    
    jmeno = ['vlivmulti',num2str(i),'.eps'];
jmpdf = ['vlivmulti',num2str(i),'.pdf'];pause(1)
print(gcf,jmeno,'-depsc')
system(['epstopdf ',jmeno]);
delete(jmeno);
hold off
movefile(jmpdf,['C:\Dokumenty\hbl\moje\videoprezentace\video\',jmpdf]);
%movefile(jmpdf,['Q:\hbl\moje\videoprezentace\video\',jmpdf]);
end
