clear all
%jmeno = 'cast1';
jmeno = 'vse';

% evropska pohori
load(jmeno)
ind = find(Xipuv(1,:) > 36 & Xipuv(1,:) < 52);
Xipuv = Xipuv(:,ind);
Xi = Xi(:,ind);
y = y(ind);
h = 5*eye(2)/10000;

% nizke nadmorske vysky
load(jmeno)
ind = find(Xipuv(1,:) > 52 & Xipuv(1,:) < 59);
Xipuv = Xipuv(:,ind);
Xi = Xi(:,ind);
y = y(ind);
h = eye(2)/20000;

% Skandinavie
load(jmeno)
ind = find(Xipuv(1,:) > 59);
Xipuv = Xipuv(:,ind);
Xi = Xi(:,ind);
y = y(ind);
h = 2*eye(2)/10000;

% [X,Y] = meshgrid(x,y);
% Xipuv = [X(:), Y(:)]';
% Xi = [X(:), Y(:)]';
yy = y(:)';

minx = min(Xipuv(1,:));
maxx = max(Xipuv(1,:));
XtickLabel = (minx:maxx);
miny = min(Xipuv(2,:));
maxy = max(Xipuv(2,:));
YtickLabel = linspace(miny,maxy,7);

n = length(yy);

%plot3(Xi(1,:),Xi(2,:),yy(13,:),'kx')
% h = hopt;
h = newtonregress (Xi, yy, 1);
%h = sitcvregress (Xi, yy)
h = 2*eye(2)/10000;
hder = h;
[f,xx,Z] = bigaussnw(Xi,yy,h,0);

% Vykresleni bodu
figure
 barva = [0,0.25,0.5];
 scatter3(Xi(1,:),Xi(2,:),yy,'filled','MarkerEdgeColor',barva,'MarkerFaceColor',barva)
% set(gca,'Zlim',roz)
 hold on
% kresleni odhadu
x1=xx(1,:);
x2=xx(2,:);
%[X,Y]=meshgrid(x1,x2);
X = reshape(x1,size(Z))';
Y = reshape(x2,size(Z))';
meshc(X,Y,Z)%,'FaceColor',[1.0, 0.56, 0.0],'EdgeColor','none');
alpha(0.4)
colorbar
set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
xlabel('Longitude')
ylabel('Latitude')
% zlabel('Continentality Gorczynski')
zlabel('Amplitude')

m = length(unique(x1));
[fder,~,Zder] = bigaussder(Xi,yy,hder,0,xx);
Zx = Zder(1:m,:);
Zy = Zder(m+1:end,:);
% xx=x(1,:);
% yy=x(2,:);
% [X,Y]=meshgrid(xx,yy);
figure;
contour(X,Y,Z);
hold on;
cc = caxis(gca);
%quiver(X,Y,Zx,Zy);
%colorbar;
Cx = contour(X,Y,Zx,-.001:.001:.001,'Linewidth',3,'Color','red');
Cy = contour(X,Y,Zy,-.001:.001:.001,'Linewidth',3,'Color','blue');
caxis(cc);colorbar
set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
grid on
xlabel('Longitude')
ylabel('Latitude')
% set(gcf,'PaperOrientation','Landscape')
save(jmeno,'Cx','Cy','-append','-V6')
