function [am] = etpenregress(Xi,y,H)

% vypocita hodnotu CV pro regresi ve dvou promennych, predpoklada se nosic [0,1]
% x [0,1]

%detH = det(H)^(1/2);
hinv = H^(-1/2);
% V = 1/(2*sqrt(pi));
% beta = 1;
n = length(y);
%sigma2 = sum((y(2:end)-y(1:end-1)).^2)/(2*n-2);

%variance = V*sigma2/(n*detH);

% pok=0;
% for i = 1:n-1
%     x_x = Xi(:,i)*ones(1,n-i)-Xi(:,i+1:n);
%     pok=pok+sum(y(i)*(2*lambda(x_x,H).*y(i+1:n)))+lambda(zeros(2,1),H)*y(i)^2;
% end
% pok=pok+lambda(zeros(2,1),H)*y(n)^2;

mhat = binwfull(Xi,y,0,2,1,H,'gaus',0,Xi);
pok = zeros(1,n);
for i = 1:n
    x_x = Xi(:,i)*ones(1,n)-Xi;
    arg = hinv*x_x;
    pok(i)=sum(gausskern(arg));
end

pen = exp(4/pi*tan(pi/2*(gausskern(zeros(2,1))./pok)));

cv = (y-mhat).*sqrt(pen);
am = cv*cv'/n;


