clear all
%load singapore_falls
%load fdeaths
load nasaCR_cv
%load dataf0_vysl
%load pokus
y=y(:)';
minx = min(Xipuv(1,:));
maxx = max(Xipuv(1,:));
XtickLabel = (minx:maxx);
miny = min(Xipuv(2,:));
maxy = max(Xipuv(2,:));
YtickLabel = (miny:maxy);
% k = 33;
% y = y(k,:);
%h = h_cv(:,:,k);
h = [.0414*2 0; 0 .0414]/4;
%h = [.007 0; 0 .007];   % cv a rice pro England
%hder=h; % cv a rice pro England
%h =  sitcvregress(Xi,y)
% h =  newtonregress(Xi,y,1); % pro England
 hder = [.0214 0; 0 .0214]/2;  % pro England
hder =  sitcvregressder(Xi,y)
%hder =  sitricepenregressder(Xi,y)
%hder =  newtonregressder(Xi,y,2)
[f,x,Z] = bigaussnw(Xi,y,h,1);
colorbar
set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
figure(1)
set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
m = length(x)
[fder,~,Zder] = bigaussder(Xi,y,hder,3,x);
Zx = Zder(1:50,:);
Zy = Zder(51:end,:);
xx=x(1,:);
yy=x(2,:);
[X,Y]=meshgrid(xx,yy);
figure;
contour(X,Y,Z);
hold on;
cc = caxis(gca);
%quiver(X,Y,Zx,Zy);
%colorbar;
x1fit = linspace(min(x(1,:)),max(x(1,:)),50);
x2fit = linspace(min(x(2,:)),max(x(2,:)),50);
[X,Y] = meshgrid(x1fit,x2fit);

Cx = contour(X,Y,Zx,-.001:.001:.001,'Linewidth',3,'Color','red');
Cy = contour(X,Y,Zy,-.001:.001:.001,'Linewidth',3,'Color','blue');
caxis(cc);colorbar
set(gca,'Xtick',(XtickLabel-minx+1)/(maxx-minx+1));
set(gca,'XtickLabel',num2str(XtickLabel'));
set(gca,'Ytick',(YtickLabel-miny+1)/(maxy-miny+1));
set(gca,'YtickLabel',num2str(YtickLabel'));
grid on