function[y] = lambda(xx,h)
%Pocita hodnoty funkce lambda pro Gaussovo jadro
% xx ... matice 2 x n
% h .... vyhlazovaci matice

[dim,n]=size(xx);
if (dim>n)&&(n>2)
    xx=xx';
    [dim]=size(xx,1);
end

if dim~=2
    error('neumime')
end

hinv=h^(-1/2);

arg = hinv*xx;
y = 1/4*gausskern(arg/2)-2/3*gausskern(arg/sqrt(3))+1/2*gausskern(arg/sqrt(2));
y = y/(det(h)^(1/2));





