function[pomcrit,yy,F0,countdiv]=newtonregressfull(Xi,y,k,H,chyba)

% odhad matice H pomoci Newtonovy metody pro systemy, kde derivace
% nahradime diferencemi

[dim,n]=size(Xi);
countdiv=0;

if dim~=2
    error('Spatne zadana matice pozorovani!');
end

if nargin<5
    chyba=0.001;
end

if nargin<4
    %h1 = sqrt(1/n);
    %h2 = sqrt(1/n);
    h1 = 0.2;
    h2 = 0.2;
    h12 = rand(1)*h1*h2;
    hh = [h1 0;h12 h2]*[h1 0;h12 h2]';
else
    hh = H;
end
h1 = hh(1,1);
h12 = hh(1,2);
h2 = hh(2,2);
iks = sqrt(h1);
zet = h12/iks;
yps = sqrt(h2-zet^2);
% plot3(h1,h2,h12,'x');
% hold on;axis([-1 1 -1 1 -1 1])
[~,bias,variance]=naseregress(Xi,y,[h1 h12;h12 h2]);
%k = 1;  %%%% ? nebo 2?
F=[variance - k*bias;odhadCfull(Xi,y,[h1 h12;h12 h2])];


%h_start=[h1;h2;h12];
h_start=[iks;yps;zet];
%h_startpuv=h_start;
%   plot(h1,h2,'r*');
%   hold on;
step=10*eps^(1/2);
%step=.1;
J=zeros(3);
[~,bias1,variance1]=naseregress(Xi,y,[iks+step 0;zet yps]*[iks+step 0;zet yps]');
[~,bias2,variance2]=naseregress(Xi,y,[iks 0;zet yps+step]*[iks 0;zet yps+step]');
[~,bias3,variance3]=naseregress(Xi,y,[iks 0;zet+step yps]*[iks 0;zet+step yps]');
odhC1=odhadCfull(Xi,y,[iks+step 0;zet yps]*[iks+step 0;zet yps]');
odhC2=odhadCfull(Xi,y,[iks 0;zet yps+step]*[iks 0;zet yps+step]');
odhC3=odhadCfull(Xi,y,[iks 0;zet+step yps]*[iks 0;zet+step yps]');
J(1,1)=(variance1 - k*bias1 - F(1))/step;
J(1,2)=(variance2 - k*bias2 - F(1))/step;
J(1,3)=(variance3 - k*bias3 - F(1))/step;
J([2,3],1)=(odhC1-F(2:3))/step;
J([2,3],2)=(odhC2-F(2:3))/step;
J([2,3],3)=(odhC3-F(2:3))/step;
%J
J = J*[2*iks 0 0;0 2*yps 2*zet; zet 0 iks];

delta=-J\F;
%delta=delta/(1+(norm(F))^(1/8));
h_new=h_start+delta;
it=1;
pom = h_new;
pomcrit = norm(F,Inf);

while (pomcrit(it)>chyba)&&(it<100)
    iks=h_new(1);
    yps=h_new(2);
    zet = h_new(3);
%plot3(h1,h2,h12,'x');
% text(h1,h2,h12,num2str(it))
% pause;
    h_start=h_new;
    [~,bias,variance]=naseregress(Xi,y,[iks 0;zet yps]*[iks 0;zet yps]');
%    odhadCfull(Xi,y,[iks 0;zet yps]*[iks 0;zet yps]'),pause
    %    k = 1;  %%%% ? nebo 2?
    F=[variance - k*bias;odhadCfull(Xi,y,[iks 0;zet yps]*[iks 0;zet yps]')];
    
    [~,bias1,variance1]=naseregress(Xi,y,[iks+step 0;zet yps]*[iks+step 0;zet yps]');
    [~,bias2,variance2]=naseregress(Xi,y,[iks 0;zet yps+step]*[iks 0;zet yps+step]');
    [~,bias3,variance3]=naseregress(Xi,y,[iks 0;zet+step yps]*[iks 0;zet+step yps]');
    odhC1=odhadCfull(Xi,y,[iks+step 0;zet yps]*[iks+step 0;zet yps]');
    odhC2=odhadCfull(Xi,y,[iks 0;zet yps+step]*[iks 0;zet yps+step]');
    odhC3=odhadCfull(Xi,y,[iks 0;zet+step yps]*[iks 0;zet+step yps]');%,pause
    J(1,1)=(variance1 - k*bias1 - F(1))/step;
    J(1,2)=(variance2 - k*bias2 - F(1))/step;
    J(1,3)=(variance3 - k*bias3 - F(1))/step;
    J([2,3],1)=(odhC1-F(2:3))/step;
    J([2,3],2)=(odhC2-F(2:3))/step;
    J([2,3],3)=(odhC3-F(2:3))/step;
    J = J*[2*iks 0 0;0 2*yps 2*zet; zet 0 iks];
%    det(J),pause
  %J
    if (det(J)==0)||(it==99)
        countdiv=1;
        disp('Divergence!');
        F0=F;
        yy=[iks 0;zet yps]*[iks 0;zet yps]'
        %         disp(['Starting approximations: ', num2str(h_puv')]);
        %         yy=izelpokus2(Xi,ny,k,mi,[h_puv(1)/10,h_puv(1)],[h_puv(2)/10,h_puv(2)],100);
        %         yy=diag(yy);
        return;
        %         rand('state',sum(100*clock));
        %         J=rand(2);
        %         h_start=rand(2,1);
    end
    delta=-J\F;
    %    delta=delta/(1+(norm(F))^(1/8));
    h_new=h_start+delta;
    if (max(h_new)>1000)
        disp('Asi divergence!');
        [~,mmind] = min(pomcrit);
        h_new = pom(:,mmind);
        yy=[h_new(1) 0;h_new(3) h_new(2)]*[h_new(1) 0;h_new(3) h_new(2)]';
        disp(['  Number of iterations: ', num2str(it)]);
        F0=F;
        return;
    end
    %  plot(abs(h_new(1)),abs(h_new(2)),'*');pause
    it=it+1;
    pom = [pom,h_new];
    pomcrit = [pomcrit,norm(F,Inf)];
end

F0=F;
disp(['  Number of iterations: ', num2str(it)]);
yy=[h_new(1) 0;h_new(3) h_new(2)]*[h_new(1) 0;h_new(3) h_new(2)]'

