function[yy,F0]=onedimregress(Xi,y,k,H,chyba)

% odhad matice H pomoci Steffensonovy metody pro systemy, kde y = C*x

[dim,n]=size(Xi);

if dim~=2
    error('Spatne zadana matice pozorovani!');
end

if nargin<5
    chyba=0.01;
end

if nargin<4
    h1 = 2*sqrt(1/n);
    h2 = 2*sqrt(1/n);
    H = [h1^2 0;0 h2^2];
end

% h1 = sqrt(H(1,1));
% h2 = sqrt(H(2,2));

h_start=[h1;h2];
x_start=h_start;
H = diag(x_start.^2);
[~,bias,variance]=naseregress(Xi,y,H);
%k = 1;  %%%% ? nebo 2?
F=[variance - k*bias;odhadC(Xi,y,H)];
y_start = x_start + F;

H = diag(y_start.^2);
[~,bias,variance]=naseregress(Xi,y,H);
F=[variance - k*bias;odhadC(Xi,y,H)];
z_start = y_start + F;

h_new = x_start - ((y_start-x_start).^2)./(z_start-2*y_start+x_start); % Steffenson
%  plot(h1,h2,'r*');
%  hold on;
it=1;
while (norm(h_new-h_start)>chyba)&&(it<50)
    h_start=h_new;
    x_start=h_start;
    H = diag(x_start.^2);
    [~,bias,variance]=naseregress(Xi,y,H);
    %k = 1;  %%%% ? nebo 2?
    F=[variance - k*bias;odhadC(Xi,y,H)];
    y_start = x_start + F;
    H = diag(y_start.^2);
    [~,bias,variance]=naseregress(Xi,y,H);
    F=[variance - k*bias;odhadC(Xi,y,H)];
    z_start = y_start + F;
    
    h_new = x_start - ((y_start-x_start).^2)./(z_start-2*y_start+x_start);

%     if (max(h_new.^2)>1)
%         disp('Asi divergence!');
%         yy = diag(h_start.^2);
%         disp(['  Number of iterations: ', num2str(it)]);
%         F0=F;
%         return;
%     end
    %    plot(abs(h_new(1)),abs(h_new(2)),'*');%pause
    it=it+1;
end

F0=F;
disp(['  Number of iterations: ', num2str(it)]);
yy=diag((h_new.^2));