sit = 20;
x = linspace(0,1,sit);
y = linspace(0,1,sit);
%f = 'sin(2*pi*x)+cos(2*pi*y)';
f = '(x-0.5)^2+(y-0.5)^2';
z = eval(vectorize(f));
[X,Y] = meshgrid(x,y);
Xi = [X(:)';Y(:)'];
x = X;
y = Y;
Z = eval(vectorize(f));
mesh(X,Y,Z);
title(['Puvodni funkce, f = ',f]);
figure;
contour(X,Y,Z);
hold on;
title('Puvodni funkce - contour plot');
[a,b] = find(Z==min(min(Z)));
xmin = X(a,b);
ymin = Y(a,b);
p1 = plot(xmin,ymin,'ro');

% Vybereme nahodny vzorek o velikosti "n"
n = 10;
ind = randperm(length(Xi));
vzorekXi = Xi(:,ind(1:n));
vzoreky = Z(ind(1:n));
tolerance = 0.01;
z0der =[];
while isempty(z0der)
    z0der = hledejminimum(vzorekXi,vzoreky,tolerance);
    tolerance = tolerance + 0.01;
end
p2 = plot(z0der(1,:),z0der(2,:),'g*');
p3 = plot(vzorekXi(1,:),vzorekXi(2,:),'x');
legend([p1(1),p2,p3],'"teoreticke" minimum','odhad minima','vzorek funkce')
