function [H,minMISE,MISE,HH] = sitcvregress(Xi,y)

% vypocita CV-opt H pro regresi ve dvou promennych, predpoklada se nosic [0,1]
% x [0,1]

n=length(y);
od1=1/(n);
do1=0.7071;
od2=1/(n);
do2=0.7071;

pp=20; %pocet

ha1=linspace(od1,do1,pp);
ha2=linspace(od2,do2,pp);
%er=linspace(-do1,do1,pp);
%[h11,h22,r]=ndgrid(ha1,ha2,er);
[h11,h22]=meshgrid(ha1,ha2);

MISE=zeros(pp);
parfor ka=1:pp
    for el=1:pp
        h1=h11(ka,el);
        h2=h22(ka,el);
        H=[h1,0;0,h2];%^2;  % pozitivne definitni
        HH(ka,el,:,:)=H;
        MISE(ka,el)=cvregress(Xi,y,H);
    end;
end;
[indx,indy] = find(MISE==min(min(MISE)));
minMISE=MISE(indx,indy);
Hp=HH(indx,indy,:,:);
H=reshape(Hp(:),2,2);




