load data_sim

h=[0.02:0.01:0.2,0.23:.03:0.4];
n=length(h);
x=linspace(0,1,300);
barva = [0,0.25,0.5];
barvao = [0,0.5,0];

for i = 1:n
[~,yy]=nw_pom(x_sim,y_sim,0,2,1,h(i),0,x);
scatter(x_sim,y_sim,'filled','MarkerEdgeColor',barva,'MarkerFaceColor',barva);
hold on
plot(x,eval(vectorize(m)),'LineWidth',2,'color','red')
plot(x,yy,'LineWidth',2,'color',barvao)

uicontrol('Style', 'slider',...
        'Min',h(1),'Max',h(n),'Value',h(i),...
        'Position', [120 80 120 20],...
        'Enable','inactive',...
        'BackgroundColor',[1.0, 0.56, 0.0]);

uicontrol('Style', 'text',...
        'Position', [120 100 120 20],...
        'BackgroundColor',[1 1 1],...
        'String',['h = ',num2str(h(i))]);
        
    jmeno = ['vliv',num2str(i),'.eps'];
jmpdf = ['vliv',num2str(i),'.pdf'];pause(1)
print(gcf,jmeno,'-depsc')
system(['epstopdf ',jmeno]);
delete(jmeno);
hold off
movefile(jmpdf,['C:\Dokumenty\hbl\moje\videoprezentace\video\',jmpdf]);
end
